Skip to main content
GET
curl "https://mybucket.storage.nami.cloud/?max-keys=2&prefix=example" \
  -H "Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20231028/us-east-1/s3/aws4_request, SignedHeaders=host;x-amz-date, Signature=fe5f80f77d5fa3beca038a248ff027d0445342fe2855ddc963176630326f1024"
{
  "Name": "<string>",
  "Prefix": "<string>",
  "MaxKeys": 123,
  "IsTruncated": true,
  "Contents": [
    {
      "Key": "<string>",
      "LastModified": "2023-11-07T05:31:56Z",
      "ETag": "<string>",
      "Size": 123,
      "StorageClass": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nami.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Make sure you have READ permission on the bucket.

List Objects

Returns some or all (up to 1,000) objects in a bucket. You can use the request parameters as selection criteria to return a subset of the objects in a bucket.

Base URL

https://${bucketname}.storage.nami.cloud

Query Parameters

prefix
Limits the response to keys that begin with the specified prefix
delimiter
Character used to group keys (commonly used with ’/’)
max-keys
Maximum number of keys to include in the response (default: 1000)
marker
Specifies the key to start with when listing objects

Request Examples

curl "https://mybucket.storage.nami.cloud/?max-keys=2&prefix=example" \
  -H "Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20231028/us-east-1/s3/aws4_request, SignedHeaders=host;x-amz-date, Signature=fe5f80f77d5fa3beca038a248ff027d0445342fe2855ddc963176630326f1024"

Response Example

HTTP/1.1 200 OK
x-amz-id-2: LriYPLdmOdAiIfgSm/F1YsViT1LW94/xUQxMsF7xiEb1a0wiIOIxl+zbwZ163pt7
x-amz-request-id: 65BD8659F15793A1
Date: Wed, 28 Oct 2023 22:32:00 GMT
Content-Type: application/xml
Content-Length: 302
Server: Nami Cloud

<?xml version="1.0" encoding="UTF-8"?>
<ListBucketResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Name>mybucket</Name>
    <Prefix>example</Prefix>
    <Marker></Marker>
    <MaxKeys>2</MaxKeys>
    <IsTruncated>true</IsTruncated>
    <Contents>
        <Key>example.jpg</Key>
        <LastModified>2023-10-28T22:32:00.000Z</LastModified>
        <ETag>"fba9dede5f27731c9771645a39863328"</ETag>
        <Size>434234</Size>
        <StorageClass>STANDARD</StorageClass>
    </Contents>
    <Contents>
        <Key>example2.jpg</Key>
        <LastModified>2023-10-28T22:33:00.000Z</LastModified>
        <ETag>"9b2cf535f27731c9771645a39863328"</ETag>
        <Size>233524</Size>
        <StorageClass>STANDARD</StorageClass>
    </Contents>
</ListBucketResult>

Authorizations

Authorization
string
header
required

AWS Signature Version 4

Query Parameters

prefix
string

Limits the response to keys that begin with the specified prefix

max-keys
integer
default:1000

Sets the maximum number of keys returned in the response

Response

200 - application/xml

Success

Name
string
Prefix
string
MaxKeys
integer
IsTruncated
boolean
Contents
object[]